org.deidentifier.arx

## Class AttributeType.MicroAggregationFunctionDescription

- java.lang.Object
- - org.deidentifier.arx.AttributeType.MicroAggregationFunctionDescription

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  AttributeType

    public abstract static class AttributeType.MicroAggregationFunctionDescription
    extends java.lang.Object
    implements java.io.Serializable

This class describes a microaggregation function

Author:
  Fabian Prasser
See Also:
  Serialized Form

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract AttributeType.MicroAggregationFunction` `createInstance(boolean ignoreMissingData)` Creates an instance
`java.lang.String` `getLabel()`
`DataScale` `getRequiredScale()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### createInstance

    public abstract AttributeType.MicroAggregationFunction createInstance(boolean ignoreMissingData)

Creates an instance

Parameters:
  `ignoreMissingData` -
Returns:

#### getLabel

    public java.lang.String getLabel()

Returns:
  the label

#### getRequiredScale

    public DataScale getRequiredScale()

Returns:
  the requiredScale